unit adBase;

interface

Uses
  Classes,  { Declares RegisterComponents()}

  adWFoc,   { TAdrockWhenFocusedGlobal }


  AdEdit,   { TAdrockEdit              }
  AdMask,   { TAdrockMaskEdit          }
  AdMemo,   { TAdrockMemo              }
  AdCombo,  { TAdrockComboBox          }
  AdListBo, { TAdrockListBox           }
  AdGrpBox, { TAdrockGroupBox          }
  AdRadGrp, { TAdrockRadioGroup        }
  AdChkBx,  { TAdrockCheckBox          }
  AdRadBtn, { TAdrockRadioButton       }
  AdTimSpd, { TAdrockTimerSpeedButton  }
  AdSpinEd, { TAdrockSpinEdit          }

  AdFiltls, { TAdrockFilterListBox     }
  AdFilLst, { TAdrockFileListBox       }
  adDirLst, { TAdrockDirectoryListox   }
  adDriLst, { TAdrockDriveComboBox     }

  adcomped, { TAdrockAutoCompletionEdit     }
  adcompcm, { TAdrockAutoCompletionComboBox }
  adString, { TAdrockStrings                }
  addbacom, { TAdrockDBAutoCompletionComboBox }

  {$ifdef WIN32}
  AdChkLst, { TAdrockCheckListBox }
  AdTree,   { TAdrockTreeView - Delphi 2 & 3 only }
  AdLView,  { TAdrockListView - Delphi 2 & 3 only }
  AdHotKey, { TAdrockHotKey   - Delphi 2 & 3 only }
  {$Endif}

  AdDBMask, { TAdrockDBMaskEdit    }
  AdDBCHBx, { TAdrockDbCheckBox    }
  AdDBEdit, { TAdrockDbEdit        }
  AdDBMemo, { TAdrockDbMemo        }
  AdDBComb, { TAdrockDbComboBox    }
  AdDBLBox, { TAdrockDbListBox     }
  adDBRGrp, { TAdrockDBradioGroup  }
  AdDBSpin, { TAdrockDBSpinEdit    }
  adDBLCmb; { TAdrockDBLookupCombo }


{ Declare the Register Routine that will Register the Components with Delphi }
procedure Register;

implementation

procedure Register;
begin
  { Register (Standard Versions) TAdrockEdit, TAdrockMemo, TAdrockListBox, TAdrockComboBox }
  RegisterComponents('Adrock(Base)', [TAdrockWhenFocusedGlobal,
                                      TAdrockEdit,             TAdrockMemo,       TAdrockListBox,
                                      TAdrockComboBox,         TAdrockRadioGroup, TAdrockGroupBox,
                                      TAdrockRadioButton,      TAdrockCheckBox,   TAdrockSpinEdit,
                                      TAdrockTimerSpeedButton, TAdrockAutoCompletionEdit,
                                      TAdrockAutoCompletionComboBox, TAdrockStrings,
                                      TAdrockFilterComboBox,   TAdrockMaskEdit,      
                                      TAdrockFileListBox,
                                      TAdrockDirectoryListBox,
                                      TAdrockDriveComboBox,


                                      {$ifdef WIN32}
                                      TAdrockCHeckListBox,
                                      TAdrockHotKey,           { TAdrockHotkey     -  Delphi 2 & 3 Only }
                                      TAdrockTreeView,         { TAdrockTreeView   -  Delphi 2 & 3 Only }
                                      TAdrockListview,         { TAdrockList View  -  Delphi 2 & 3 Only }
                                      {$Endif}

                                      TAdrockSpinButton]);

  { Register (Data-Aware Versions) TAdrockDBEdit, TAdrockDBMemo, TAdrockDBListBox, TAdrockDBComboBox }
  RegisterComponents('Adrock(Base)', [TAdrockDBEdit,            TAdrockDBMemo,
                                      TAdrockDBComboBox,        TAdrockDBCheckBox,
                                      TAdrockDBAutoCompletionComboBox,        
                                      TAdrockDBListBox,         TAdrockDBRadioGroup,
                                      TAdrockDBSpinEdit,        TAdrockDBLookupComboBox,
                                      TAdrockDBMaskEdit]);
end;

end.
 